Hosts
All operations require authentication.
List hostsProduction
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a hostProduction
Get a host. Returns the host: profile, state, connection state, cluster, CPU and memory usage, and number of virtual machines.
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Response
Billing type of the host
freeSparehourlymonthlyundefinedCluster of the host
Connection state of the host
connecteddisconnectednotRespondingCPU total frenquency
The maximum speed of the cpu, in Mhz
The speed of the CPU cores. This is an average value if there are multiple speeds. in Mhz
Number of physical CPU cores on the host.
Current cpu utilization, in Mhz
Id of the host
Host is in maintenance mode
Amount of used memory. Sum of the memory used by all powered on virtual machines and vSphere services on the host. in MB
Name of the host (IP address)
Id of the parent host (if any)
Host profile in a commercial range
Host profile code
Rack of the host
Total RAM quantity
Resource name
State of the host
addingdeliverederrorremovingunknownHost uptime in second
Number of Virtual Machine on the host
Number of Vcpu use by virtual machines on the host
Example uses datacenterId = 0, hostId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId} \
-H "authorization: Bearer $OVH_TOKEN"{ "billingType": "freeSpare", "clusterName": "string", "connectionState": "connected", "cpu": { "unit": "string", "value": 0 }, "cpuMax": 0, "cpuMaxCore": 0, "cpuNum": 0, "cpuUsed": 0, "hostId": 0, "inMaintenance": true, "memoryUsed": 0, "name": "string", "parentHostId": 0, "profile": "string", "profileCode": "string", "rack": "string", "ram": { "unit": "string", "value": 0 }, "resourceName": "string", "state": "adding", "uptime": 0, "vmTotal": 0, "vmVcpuTotal": 0}
Get the host consumptionDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /me/consumption/usage/current instead.
Get the host consumption. Returns the hourly consumption of the host. Deprecated: use /me/consumption/usage/current instead.
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Response
Consumption of the Host.
Last update.
Example uses datacenterId = 0, hostId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId}/ hourlyConsumption \
-H "authorization: Bearer $OVH_TOKEN"{ "consumption": { "unit": "string", "value": 0 }, "lastUpdate": "2024-01-01T12:00:00Z"}
Get the host locationProduction
Get the host location. Returns the OVHcloud datacenter, room and rack of the host, not its vSphere datacenter.
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Response
Datacenter of the Host.
bhs1bhs2bhs3bhs4bhs5bhs6bhs7bhs8cch01crx1crx2dc1eri1eri2frcrx41frcrx42frcrx43gra04gra1gra2gra3gswhdf01hil1ieb01itbsi01itmil01itzvf01lil1-int1lim1lim2lim3mr901p19rbxrbx-hzrbx1rbx10rbx2rbx3rbx4rbx5rbx6rbx7rbx8rbx9sbg1sbg2sbg3sbg4sbg5sgp02sgp1syd03syd1syd2vin1waw1ynm1yyz01Rack of the Host.
Room of the Host.
Example uses datacenterId = 0, hostId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId}/ location \
-H "authorization: Bearer $OVH_TOKEN"{ "datacenter": "bhs1", "rack": "string", "room": "string"}
Get the host resilience testProduction
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses datacenterId = 0, hostId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId}/ resilience \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled"}
Check if a resilience test can startProduction
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Response
Example uses datacenterId = 0, hostId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId}/ resilience/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"true
List orderable host profilesProduction
List orderable host profiles. Returns the host profiles that can be ordered in the datacenter, with their CPU, cores and RAM.
Path parameters
Id of the Datacenter
Domain of the service